"use client";
import styles from "./CourseSearch.module.css";
import { useState } from "react";
const CourseSearch = ({ getCourseResponse }) => {
  const [query, setQuery] = useState("");
  const handleSubmit = async (e) => {
    e.preventDefault();
    const response = await fetch(
      `http://localhost:3000/api/courses/search?query=${query}`
    );
    const data = await response.json();
    getCourseResponse(data);
  };
  return (
    <form onSubmit={handleSubmit} className={styles["form"]}>
      <input
        type="text"
        value={query}
        placeholder="Search"
        onChange={(e) => setQuery(e.target.value)}
      />
      <button type="submit">Search</button>
    </form>
  );
};

export default CourseSearch;
